php-league-commonmark (2.9.0-1) unstable; urgency=medium

  [ Eyüp Can Akman ]
  * Add NormalizeHeadingsExtension to constrain heading levels (#1113)

  [ chillbram ]
  * Allow disabling of inline footnotes + documentation on inline footnotes
    (#1112)

  [ Colin O'Dell ]
  * Repair skipped heading levels in NormalizeHeadingsExtension (#1127)
  * Linearize multibyte parsing with a dense character->byte offset map
    (GHSA-2q4p-g7hv-5rgv)
  * Fix unsafe link filter bypass via obfuscated schemes (GHSA-29pj-957v-52mc)
  * Fix quadratic footnote backref generation (GHSA-jfm3-95jq-q3rf)
  * Fix quadratic slug de-duplication (GHSA-mh25-x5hq-wrqp)
  * Fix quadratic inline attribute target resolution (GHSA-g2gp-3wwq-f4ph)
  * Cap XmlRenderer indentation depth (GHSA-mj63-m3rc-8ppr)
  * Prepare to release 2.9.0

  [ Graham Campbell ]
  * Prevent quadratic Markdown parsing
  * Declare MarkDelimiterProcessor as a cacheable delimiter processor (#1133)

  [ David Prévot ]
  * Simplify patch

 -- David Prévot <taffit@debian.org>  Wed, 05 Aug 2026 07:17:52 +0200

php-league-commonmark (2.8.3-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Support PHPUnit 12 and 13
  * Fix tab handling in fenced code blocks (#1130)
  * Prepare for 2.8.3 release

  [ Graham Campbell ]
  * Fix over-blocking of safe URLs by the unsafe link filter (#1131)

  [ David Prévot ]
  * Last release is not signed

 -- David Prévot <taffit@debian.org>  Tue, 14 Jul 2026 18:46:55 -0300

php-league-commonmark (2.8.2-2) unstable; urgency=medium

  * Document CVE in previouss changelog entry
  * Use full version with RequiresPhpunit
  * Upgrade upstream signing key to new packet format
  * Update standards version to 4.7.4

 -- David Prévot <taffit@debian.org>  Thu, 07 May 2026 08:51:47 +0200

php-league-commonmark (2.8.2-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Fix DomainFilteringAdapter hostname boundary bypass [CVE-2026-33347]

  [ David Prévot ]
  * Documet CVE in previous changelog entries

 -- David Prévot <taffit@debian.org>  Mon, 23 Mar 2026 09:55:34 +0100

php-league-commonmark (2.8.1-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Fix DisallowedRawHtml bypass via newline/tab in tag names [CVE-2026-30838]
  * Prepare to release 2.8.1

  [ Frederic G. Østby ]
  * Fix PHP 8.5 deprecation

  [ David Prévot ]
  * Convert d/watch to version 5
  * Update Standards-Version to 4.7.3

 -- David Prévot <taffit@debian.org>  Fri, 06 Mar 2026 08:08:18 +0100

php-league-commonmark (2.8.0-1) unstable; urgency=medium

  [ Daniel Johnson ]
  * Add Mark (highlight) extension

  [ Colin O'Dell ]
  * Refactor docs to use major version folders instead of minor versions
  * Prepare to release 2.8.0

  [ copilot-swe-agent[bot] ]
  * Fix AutolinkExtension to anchor regex and add test cases

 -- David Prévot <taffit@debian.org>  Tue, 02 Dec 2025 10:26:20 +0100

php-league-commonmark (2.7.1-2) unstable; urgency=medium

  * Upload to unstable now that Trixie has been released
  * Remove Rules-Requires-Root
  * debian/control: Document nocheck flag

 -- David Prévot <taffit@debian.org>  Wed, 27 Aug 2025 08:20:09 +0200

php-league-commonmark (2.7.1-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Dries Vints ]
  * Update EmbedProcessor.php

  [ Colin O'Dell ]
  * Optimize REGEX_PUNCTUATION by removing redundant explicit characters
  * Optimize REGEX_THEMATIC_BREAK by consolidating anchors
  * Add atomic group to PARTIAL_ENTITY to prevent backtracking
  * Optimize PARTIAL_HTMLCOMMENT with better grouping
  * Add possessive quantifiers to HTML tag patterns to prevent backtracking
  * Optimize HTML Block Type 6 pattern with possessive quantifiers
  * Prepare to release 2.7.1

  [ copilot-swe-agent[bot] ]
  * Fix benchmark.php CSV path validation for non-existent files

 -- David Prévot <taffit@debian.org>  Wed, 23 Jul 2025 10:10:47 +0200

php-league-commonmark (2.7.0-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Fix XSS in AttributesExtension [CVE-2025-46734]
  * Prepare to release 2.7.0

 -- David Prévot <taffit@debian.org>  Mon, 05 May 2025 16:16:52 +0200

php-league-commonmark (2.6.2-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Fix Attributes extension parsing regression (#1071)
  * Prepare to release 2.6.2

  [ David Prévot ]
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Tue, 22 Apr 2025 13:01:30 +0200

php-league-commonmark (2.6.1-2) unstable; urgency=medium

  * Modernize PHPUnit syntax
  * Revert "Force system dependencies loading"
  * Simplify build
  * Update Standards-Version to 4.7.1

 -- David Prévot <taffit@debian.org>  Sat, 22 Feb 2025 12:46:35 +0100

php-league-commonmark (2.6.1-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Rendered list items should only add newlines around block-level children
  * Prepare to release 2.6.1

 -- David Prévot <taffit@debian.org>  Mon, 30 Dec 2024 13:56:06 +0100

php-league-commonmark (2.6.0-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Limit number of subdomains allowed in an autolink
  * Use a separate stack for brackets
  * Flag this as a security release
  * Prepare to release 2.6.0

 -- David Prévot <taffit@debian.org>  Thu, 26 Dec 2024 10:31:38 +0100

php-league-commonmark (2.5.3-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * commonmark 0.31.1 compatibility
  * Release 2.5.3

 -- David Prévot <taffit@debian.org>  Sat, 17 Aug 2024 09:22:38 +0200

php-league-commonmark (2.5.1-1) unstable; urgency=medium

  [ Jason Varga ]
  * only need final lookahead

  [ Colin O'Dell ]
  * Fix incorrect Table start line numbers
  * Remove unnecessary unset()
  * Prepare to release 2.5.1

 -- David Prévot <taffit@debian.org>  Sat, 27 Jul 2024 11:12:40 +0900

php-league-commonmark (2.5.0-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Don't change already-formatted quotation marks
  * Bump CommonMark spec to 0.31.0
  * Allow closing fence to be followed by tabs
  * Remove restrictive limitation on inline comments
  * Treat unicode symbols like punctuation for purposes of flankingness
  * Exclude trailing tabs on the last line of indented code blocks
  * Fix list tightness and ending line numbers
  * Improve HTML comment matching
  * Accept lowercase inline HTML declarations
  * Prepare to release 2.5.0

  [ Sven Luijten ]
  * Allow adding attributes without value

  [ Xavier Lacot ]
  * allow valid CSS level 3 selectors for classes and ids in the attributes extension

  [ Andrew Minion ]
  * fix text containing www and following link

  [ David Prévot ]
  * Mark Data Provider method as static
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Tue, 23 Jul 2024 20:55:40 +0900

php-league-commonmark (2.4.2-2) unstable; urgency=medium

  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Tue, 05 Mar 2024 18:08:59 +0100

php-league-commonmark (2.4.2-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Allow declarations with no space, as per spec
  * Don't add `language-` to class if already prefixed
  * Allow testing with phpunit 11
  * Prepare to release 2.4.2

  [ David Prévot ]
  * Use php-yaml for tests
  * Don’t use PHPUnit coverage

 -- David Prévot <taffit@debian.org>  Wed, 07 Feb 2024 08:04:50 +0100

php-league-commonmark (2.4.1-1) unstable; urgency=medium

  * Upload to unstable now that Bookworm has been released

  [ Colin O'Dell ]
  * Fix ExternalLinkProcessor not fully disabling the `rel` attribute
  * Prepare to release 2.4.1

  [ David Prévot ]
  * Drop php-shellcommand build-dependency
  * Update PHPUnit cache path
  * Drop tests breaking under PHPUnit 10 (Closes: #1039786)

 -- David Prévot <taffit@debian.org>  Mon, 04 Sep 2023 15:36:59 +0530

php-league-commonmark (2.4.0-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Colin O'Dell ]
  * Add marker interface for exceptions thrown by this library
  * Prepare to release 2.4.0

 -- David Prévot <taffit@debian.org>  Sun, 26 Mar 2023 12:43:29 +0200

php-league-commonmark (2.3.9-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Prepare to release 2.3.9

  [ Thomas Gerbet ]
  * Fix autolink extension URL detection

  [ David Prévot ]
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Wed, 15 Feb 2023 18:38:28 +0100

php-league-commonmark (2.3.8-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Explicitly set expected encoding in mbstring function calls
  * Prepare to release 2.3.8

 -- David Prévot <taffit@debian.org>  Mon, 12 Dec 2022 07:41:57 +0100

php-league-commonmark (2.3.7-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Fix missing HTML attributes (#947)
  * Prepare to release 2.3.7

 -- David Prévot <taffit@debian.org>  Sun, 06 Nov 2022 11:34:40 +0100

php-league-commonmark (2.3.6-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Fix unquoted attributes consuming trailing brace too aggressively
  * Prepare to release 2.3.6

 -- David Prévot <taffit@debian.org>  Wed, 02 Nov 2022 07:44:27 +0100

php-league-commonmark (2.3.5-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Fix InlineParserEngine error when no inline parsers are set
  * Prepare to release 2.3.5

 -- David Prévot <taffit@debian.org>  Mon, 01 Aug 2022 07:57:34 +0200

php-league-commonmark (2.3.4-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Prepare to release 2.3.4

 -- David Prévot <taffit@debian.org>  Sat, 23 Jul 2022 09:41:13 +0200

php-league-commonmark (2.3.3-3) unstable; urgency=medium

  * Really upload to unstable

 -- David Prévot <taffit@debian.org>  Sat, 09 Jul 2022 14:00:36 +0200

php-league-commonmark (2.3.3-2) experimental; urgency=medium

  * Upload to unstable now that php-embed is back
  * Drop now useless debian/pkg-php-tools-autoloaders entry

 -- David Prévot <taffit@debian.org>  Sat, 09 Jul 2022 12:23:37 +0200

php-league-commonmark (2.3.3-1) experimental; urgency=medium

  [ Colin O'Dell ]
  * Create 2.3 docs
  * Add Embed extension
  * Prepare to release 2.3.3

  [ David Prévot ]
  * Update Standards-Version to 4.6.1
  * Drop php-symfony-polyfill-php80 build-dependency
  * Revert "Build-conflicts php-symfony-polyfill-mbstring that get
    pulled instead of php-mbstring by buildd in experimental"
  * Use php-embed and php-nyholm-psr7 for tests

 -- David Prévot <taffit@debian.org>  Fri, 17 Jun 2022 11:46:07 +0200

php-league-commonmark (2.2.3-1) experimental; urgency=medium

  [ Colin O'Dell ]
  * Prepare to release 2.2.3

 -- David Prévot <taffit@debian.org>  Mon, 07 Mar 2022 06:04:47 +0100

php-league-commonmark (2.2.2-1) experimental; urgency=medium

  [ Colin O'Dell ]
  * Prepare to release 2.2.2

  [ Garrett Albright ]
  * Change method used to get the label (alt text) on Image nodes to
    avoid hacks and double-escaping of special characters.

  [ David Prévot ]
  * Build-conflicts php-symfony-polyfill-mbstring that get pulled
    instead of php-mbstring by buildd in experimental

 -- David Prévot <taffit@debian.org>  Wed, 16 Feb 2022 19:54:33 -0400

php-league-commonmark (2.2.1-1) experimental; urgency=medium

  [ Colin O'Dell ]
  * Remove noisy deprecation trigger
  * Prepare to release 2.2.1

  [ David Prévot ]
  * Check git tag signature on import

 -- David Prévot <taffit@debian.org>  Tue, 25 Jan 2022 14:24:37 -0400

php-league-commonmark (2.2.0-1) experimental; urgency=medium

  [ Colin O'Dell ]
  * Deprecate MarkdownConverterInterface::convertToHtml()
  * Add MarkdownToXmlConverter
  * Add HtmlDecorator
  * Allow any Stringable to be used as HtmlElement contents
  * Add config for optionally wrapping tables within a container
  * Prepare to release 2.2.0

  [ David Prévot ]
  * New php-symfony-deprecation-contracts dependency

 -- David Prévot <taffit@debian.org>  Sat, 22 Jan 2022 10:35:45 -0400

php-league-commonmark (2.1.1-1) experimental; urgency=medium

  * Upload new major version to experimental

  [ Colin O'Dell ]
  * Prepare to release 2.1.1

  [ David Prévot ]
  * Revert "Track version 1 for now (Bookworm?)"
  * Adapt packaging to new dependencies
  * Update copyright (years)
  * Ship previous upstream changelogs
  * Drop commonmark binary removed upstream
  * Update CI

  [ Sergey Romanenko ]
  * Update license year (#777)

 -- David Prévot <taffit@debian.org>  Mon, 03 Jan 2022 10:22:20 -0400

php-league-commonmark (1.6.6-1) unstable; urgency=medium

  * Upload to unstable now that Bullseye has been released

  [ Colin O'Dell ]
  * Release 1.6.6

  [ David Prévot ]
  * Track version 1 for now (Bookworm?)
  * Install dh-sequence-* instead of using dh --with
  * Update standards version to 4.6.0, no changes needed.

 -- David Prévot <taffit@debian.org>  Mon, 11 Oct 2021 18:54:45 -0400

php-league-commonmark (1.6.2-1) experimental; urgency=medium

  [ Colin O'Dell ]
  * Add forward-compatiblity for v2.0 configuration option changes
  * Add RegexHelper::matchFirst(); deprecate matchAll()
  * Deprecate passing custom environments into pre-built converters;
    add new MarkdownConverter class
  * Add Configuration::exists() method
  * Release 1.6.2

 -- David Prévot <taffit@debian.org>  Sun, 16 May 2021 06:25:50 -0400

php-league-commonmark (1.5.8-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Colin O'Dell ]
  * Fix heading inlines not being rendered properly in TOC entries (fixes #587)
  * Fix parsing of tables within list items (#590)
  * Release 1.5.8

  [ David Prévot ]
  * Simplify gbp import-orig
  * Generate phpabtpl at build time

 -- David Prévot <taffit@debian.org>  Sun, 25 Apr 2021 09:12:31 -0400

php-league-commonmark (1.5.7-2) unstable; urgency=medium

  * Skip tests relying on packages unavailable in Debian
  * Fix manpage footer

 -- David Prévot <taffit@debian.org>  Sun, 13 Dec 2020 08:35:02 -0400

php-league-commonmark (1.5.7-1) unstable; urgency=medium

  [ Jean-Guilhem Rouel ]
  * Fix mentions when they appear after a non-word character such as \n or ,

  [ Colin O'Dell ]
  * Release 1.5.7

  [ David Prévot ]
  * Set upstream metadata fields: Security-Contact.
  * Update watch file format version to 4.
  * Update Standards-Version to 4.5.1

 -- David Prévot <taffit@debian.org>  Fri, 20 Nov 2020 15:16:49 -0400

php-league-commonmark (1.5.6-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Fix replacement blocks not inheriting the start line number of the
    container they're replacing
  * Default block line numbers to 0 when added outside of the parsing context
  * Fix Table of Contents blocks not having correct start/end line numbers
  * Release 1.5.6

 -- David Prévot <taffit@debian.org>  Thu, 22 Oct 2020 22:51:49 -0400

php-league-commonmark (1.5.5-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Bump spec compliance; fix textareas not being treated as type 1 HTML blocks
  * Release 1.5.5

  [ Graham Campbell ]
  * Fix autolink processor not handling other unmatched trailing parentheses

  [ David Prévot ]
  * Rename branch to debian/latest (DEP-14)

 -- David Prévot <taffit@debian.org>  Thu, 17 Sep 2020 16:10:07 -0400

php-league-commonmark (1.5.4-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Ensure generated heading permalinks are unique (fixes #531) (#533)
  * Release 1.5.4

  [ Jacob Baker-Kretzmar ]
  * Fix hard-coded footnote ID config (#530)

 -- David Prévot <taffit@debian.org>  Mon, 24 Aug 2020 10:01:33 -0400

php-league-commonmark (1.5.3-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Improve performance of the inline parser regex
  * Make tests compatible with PHPUnit 7.x, 8.x, and 9.x
  * Release 1.5.3

  [ David Prévot ]
  * Set Rules-Requires-Root: no.

 -- David Prévot <taffit@debian.org>  Mon, 20 Jul 2020 19:58:09 -0400

php-league-commonmark (1.5.1-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Release 1.5.1

  [ David Prévot ]
  * Update copyright

 -- David Prévot <taffit@debian.org>  Mon, 29 Jun 2020 14:01:57 -1000

php-league-commonmark (1.4.3-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Release 1.4.3

  [ David Prévot ]
  * Build-Depend on php-symfony-finder
  * Simplify documentation handling
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test

 -- David Prévot <taffit@debian.org>  Mon, 04 May 2020 22:13:32 -1000

php-league-commonmark (1.3.4-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Fix injectables not being injected on some callable objects
  * Release 1.3.4

 -- David Prévot <taffit@debian.org>  Wed, 15 Apr 2020 09:05:05 -1000

php-league-commonmark (1.3.3-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Fix injectable event listener objects not having the environment or
    configuration injected
  * Release 1.3.3

 -- David Prévot <taffit@debian.org>  Mon, 06 Apr 2020 10:19:15 -1000

php-league-commonmark (1.3.2-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Optimize URL normalization by immediately returning URLs with non-special
    chars as-is
  * Release 1.3.2

 -- David Prévot <taffit@debian.org>  Sun, 29 Mar 2020 10:32:31 -1000

php-league-commonmark (1.3.1-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Fix return types
  * Release 1.3.1

 -- David Prévot <taffit@debian.org>  Mon, 02 Mar 2020 16:24:49 -1000

php-league-commonmark (1.3.0-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Release 1.3.0 (Closes: #951664)

  [ David Prévot ]
  * Update description
  * Update copyright
  * Install Extension/*/README.md in /u/s/d

 -- David Prévot <taffit@debian.org>  Wed, 19 Feb 2020 18:15:32 -1000

php-league-commonmark (1.2.2-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Add optimizations to the changelog
  * Release 1.2.2

  [ Graham Campbell ]
  * Fix link parsing edge case

  [ David Prévot ]
  * Update Standards-Version to 4.5.0

 -- David Prévot <taffit@debian.org>  Thu, 23 Jan 2020 08:32:19 -1000

php-league-commonmark (1.2.0-1) unstable; urgency=medium

  [ sergkash7 ]
  * Added YouTube iframe extension

  [ Colin O'Dell ]
  * Add footnotes extension
  * Release 1.2.0

  [ David Prévot ]
  * Make sure vendor directory exists during CI

 -- David Prévot <taffit@debian.org>  Sun, 12 Jan 2020 02:31:53 +1300

php-league-commonmark (1.1.2-1) unstable; urgency=medium

  [ Colin O'Dell ]
  * Fix URL normalization (fixes #395)
  * Release 1.1.2

  [ David Prévot ]
  * Set upstream metadata fields:
    Bug-Database, Repository, Repository-Browse, Bug-Submit

 -- David Prévot <taffit@debian.org>  Fri, 27 Dec 2019 03:28:00 +1100

php-league-commonmark (1.1.1-1) unstable; urgency=low

  * Initial release (new php-twig build-dependency)

 -- David Prévot <taffit@debian.org>  Fri, 15 Nov 2019 14:57:32 -1000
